## metalb-release 1.0.1

=== Makefile ===
PACKAGE = meta-release
NAME = meta-release
VERSION = 1.0.0
RELEASE = 1

####################################################################
# Distribution Makefile
####################################################################

.PHONY: configure install clean rpm

all: configure metalb-keyring.gpg

metalb-keyring.gpg:
	(cd keys; cat `ls -rt1`) > metalb-keyring.gpg

####################################################################
# Install
####################################################################

install:
	@echo installing ...
	@mkdir -p $(prefix)/etc
	@mkdir -p $(prefix)/etc/apt
	@mkdir -p $(prefix)/etc/apt/sources.list.d
	@mkdir -p $(prefix)/etc/apt/preferences.d
	@mkdir -p $(prefix)/usr/share/keyrings/
	@install -m 0644 etc/apt/sources.list.d/metalb.list $(prefix)/etc/apt/sources.list.d
	@install -m 0644 etc/apt/preferences.d/metalb $(prefix)/etc/apt/preferences.d
	@install -m 0644 metalb-keyring.gpg $(prefix)/usr/share/keyrings

###########################################################$(DESTDIR)#########
# Build Distribution
####################################################################

rpm:
	@echo "> Creating rpm..."
	@mkdir -p  rpmbuild/RPMS/noarch
	@mkdir -p  rpmbuild/SRPMS/
	@mkdir -p  rpmbuild/SPECS/
	@mkdir -p  rpmbuild/SOURCES/
	@mkdir -p  rpmbuild/BUILD/
	@tar --gzip --exclude='*svn*' -cf rpmbuild/SOURCES/${PACKAGE}.src.tgz *
	@sed -e s/VV/$(VERSION)/ -e s/NNAME/$(NAME)/ -e s/RR/$(RELEASE)/ emi-release.spec > specfile_tmp.spec
	@rpmbuild -ba specfile_tmp.spec
	@rm -f specfile_tmp.spec

clean:
	@echo "> Cleaning..."
	@rm -rf rpmbuild
	@rm -f metalb-keyring.gpg

=== debian/changelog ===
metalb-release (1.0.1-1) stable; urgency=low

  * Added key 0xC9CFD6911B238C53 (RSA 4096bit)
  * Keyring creation into Makefile
    
 -- František Dvořák <valtri@civ.zcu.cz>  Mon, 11 Feb 2013 16:00:00 +0100

metalb-release (1.0.0-1) stable; urgency=low

  * Release 1.0.0-1
    
 -- František Dvořák <valtri@civ.zcu.cz>  Mon, 04 Feb 2013 15:00:00 +0100

=== debian/control ===
Source:  metalb-release
Build-Depends:  debhelper (>> 6.0.0)
Section:  devel
Priority:  optional
Maintainer:  František Dvořák <valtri@civ.zcu.cz>
Standards-Version:  3.9.2

Package:  metalb-release
Architecture:  all
Depends:   
Description:  EMI L&B release files
 EMI L&B repository files and GPG key.

=== debian/rules ===
#!/usr/bin/make -f
export DH_COMPAT=5

build:build-stamp
	make

build-stamp:
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -rf build-stamp
	rm -rf configure-stamp
	make clean

configure:configure-stamp
	dh_testdir
	dh_testroot
	
configure-stamp:
	touch configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep -k
	dh_installdirs
	mkdir -p debian/metalb-release/
	make install prefix=./debian/metalb-release/

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## metalb-release 1.0.2

=== debian/changelog ===
metalb-release (1.0.2-1) stable; urgency=low

  * Added key 0x03861A0B64FA8786 (Jenkins Builder)

 -- František Dvořák <valtri@civ.zcu.cz>  Fri, 21 Jun 2013 13:00:00 +0200

## metalb-release 1.0.3

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,8 @@
 	@mkdir -p $(prefix)/etc
 	@mkdir -p $(prefix)/etc/apt
 	@mkdir -p $(prefix)/etc/apt/sources.list.d
-	@mkdir -p $(prefix)/etc/apt/preferences.d
 	@mkdir -p $(prefix)/usr/share/keyrings/
 	@install -m 0644 etc/apt/sources.list.d/metalb.list $(prefix)/etc/apt/sources.list.d
-	@install -m 0644 etc/apt/preferences.d/metalb $(prefix)/etc/apt/preferences.d
 	@install -m 0644 metalb-keyring.gpg $(prefix)/usr/share/keyrings
 
 ###########################################################$(DESTDIR)#########

=== debian/changelog ===
metalb-release (1.0.3-2+wheezy1) stable; urgency=low

  * Distribution name in repo URLs (wheezy)

 -- František Dvořák <valtri@civ.zcu.cz>  Tue, 06 Aug 2013 12:55:54 +0200

metalb-release (1.0.3-2) stable; urgency=low

  * Remove /etc/apt.preferences.d/metalb in install scripts

 -- František Dvořák <valtri@civ.zcu.cz>  Tue, 06 Aug 2013 12:10:23 +0200

metalb-release (1.0.3-1) stable; urgency=low

  * Remove external globus repository (it will be in the internal repository now).
  * No changing of the repository priorities.

 -- František Dvořák <valtri@civ.zcu.cz>  Mon, 05 Aug 2013 14:50:03 +0200

## metalb-release 1.0.4

=== debian/changelog ===
metalb-release (1.0.4-1+wheezy1) stable; urgency=low

  * Distribution name in repo URLs (wheezy)

 -- František Dvořák <valtri@civ.zcu.cz>  Fri, 02 Oct 2015 23:00:34 +0200

metalb-release (1.0.3-3) stable; urgency=low

  * Removing the Jenkins Builder key on uninstall too
  * Not so strict check

 -- František Dvořák <valtri@emian.zcu.cz>  Wed, 07 Aug 2013 15:02:35 +0200
